# Class yii\db\mssql\ColumnSchema

Inheritance | yii\db\mssql\ColumnSchema » yii\db\ColumnSchema » yii\base\BaseObject
Implements | yii\base\Configurable
Available since version | 2.0.23
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/mssql/ColumnSchema.php

Class ColumnSchema for MSSQL database

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$allowNull | boolean | Whether this column can be null. | yii\db\ColumnSchema
$autoIncrement | boolean | Whether this column is auto-incremental | yii\db\ColumnSchema
$comment | string | Comment of this column. | yii\db\ColumnSchema
$dbType | string | The DB type of this column. | yii\db\ColumnSchema
$defaultValue | mixed | Default value of this column | yii\db\ColumnSchema
$enumValues | array | Enumerable values. | yii\db\ColumnSchema
$isComputed | boolean | Whether this column is a computed column | yii\db\mssql\ColumnSchema
$isPrimaryKey | boolean | Whether this column is a primary key | yii\db\ColumnSchema
$name | string | Name of this column (without quotes). | yii\db\ColumnSchema
$phpType | string | The PHP type of this column. | yii\db\ColumnSchema
$precision | integer | Precision of the column data, if it is numeric. | yii\db\ColumnSchema
$scale | integer | Scale of the column data, if it is numeric. | yii\db\ColumnSchema
$size | integer | Display size of the column. | yii\db\ColumnSchema
$type | string | Abstract type of this column. | yii\db\ColumnSchema
$unsigned | boolean | Whether this column is unsigned. | yii\db\ColumnSchema

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() | Calls the named method which is not a class method. | yii\base\BaseObject
__construct() | Constructor. | yii\base\BaseObject
__get() | Returns the value of an object property. | yii\base\BaseObject
__isset() | Checks if a property is set, i.e. defined and not null. | yii\base\BaseObject
__set() | Sets value of an object property. | yii\base\BaseObject
__unset() | Sets an object property to null. | yii\base\BaseObject
canGetProperty() | Returns a value indicating whether a property can be read. | yii\base\BaseObject
canSetProperty() | Returns a value indicating whether a property can be set. | yii\base\BaseObject
className() | Returns the fully qualified name of this class. | yii\base\BaseObject
dbTypecast() | Converts the input value according to $type and $dbType for use in a db query. | yii\db\ColumnSchema
defaultPhpTypecast() | Prepares default value and converts it according to $phpType | yii\db\mssql\ColumnSchema
hasMethod() | Returns a value indicating whether a method is defined. | yii\base\BaseObject
hasProperty() | Returns a value indicating whether a property is defined. | yii\base\BaseObject
init() | Initializes the object. | yii\base\BaseObject
phpTypecast() | Converts the input value according to $phpType after retrieval from the database. | yii\db\ColumnSchema

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
typecast() | Converts the input value according to $phpType after retrieval from the database. | yii\db\ColumnSchema

## Property Details

$isComputed public property (available since version 2.0.39)

Whether this column is a computed column

public boolean $isComputed = null

## Method Details

defaultPhpTypecast() public method (available since version 2.0.24)

Prepares default value and converts it according to $phpType

public mixed defaultPhpTypecast ( $value )
$value | mixed | Default value
return | mixed | Converted value